from docx import Document

docxFileName='test_files/test_comments.docx'
docx_object=Document(docxFileName)
doc_comments = docx_object.comments
for i, para in enumerate(docx_object.paragraphs):
    print("%i %s"%(i, para.text))
    para_comments=para.comments
    for i2, comment in enumerate(para_comments):
        print("  %i %s"%(i2, comment.text))
print('')